<template>
  <div class="pb-4">
    <a href="/teams">
      <h4 class="block__title text-dark-blue text-excelsior-caps mb-3">
        {{ poll.title }} &nbsp;
        <!-- <span class="font-size-1">{{ trans('website.all') }}</span> -->
      </h4>
    </a>
    <div class="teams-list row">
      <div class="w-100" ref="slider">
        <div class="col-12" v-for="(answer, key) in poll.answers" :key="key">
          <div class="teams-list__item">
            <img
              class="teams-list__item__image w-100 object-fit:cover"
              :src="`/storage/${answer.item.image}`"
              :alt="answer.item.name"
              :title="answer.item.name"
            >
            <div
              class="w-100 px-3 py-2 bg-light-gray d-flex justify-content-between align-items-center"
            >
              <img
                class="teams-list__item__icon object-fit:contain"
                :src="`/storage/${answer.item.logo}`"
                :alt="answer.item.name"
                :title="answer.item.name"
              >
              <h5
                class="teams-list__item__title text-truncate font-size-1 text-excelsior-caps text-truncate mb-0"
              >{{ answer.item.name }}</h5>
            </div>
            <div
              class="teams-list__item__footer d-flex justify-content-between align-items-center bg-white"
            >
              <div class="d-flex justify-content-between align-items-center flex-grow-1 px-3 py-2">
                <span class="font-size-1 text-black">{{ answer.percent }}%</span>
                <span
                  class="text-gray text-excelsior-caps"
                >{{ answer.answers_count }} {{ trans('vote') }}</span>
              </div>
              <button
                @click="vote(key)"
                :disabled="!canVote"
                class="poll__answer__button d-flex justify-content-center align-items-center p-0 h-100 border-0"
              >
                <i class="far fa-heart"></i>
              </button>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import Siema from 'siema';

import pollMethods from '../mixins/pollMethods';

export default {
  name: 'PollTeam',
  mixins: [pollMethods],
  data() {
    return {
      pollId: window.teamsPollId,
      slider: {
        obj: null,
        interval: null
      }
    };
  },
  destroyed() {
    this.slider.obj.destroy();
    clearInterval(this.slider.interval);
  },
  methods: {
    initSlider() {
      const that = this;
      const perPage = 3;
      this.slider.obj = new Siema({
        selector: this.$refs.slider,
        perPage,
        loop: true,
        onInit() {
          that.slider.interval = setInterval(() => {
            this.next(perPage);
          }, 5000);
        }
      });
    }
  },
  watch: {
    'poll.answers'(val) {
      if (this.slider.obj === null && this.poll.answers.length > 0) {
        this.$nextTick(this.initSlider.bind(this));
      }
    }
  }
};
</script>
